package com.adealink.weparty.commonui

import androidx.lifecycle.LifecycleOwner
import com.adealink.frame.mvvm.view.ViewComponent

/**
 * Created by XiaoDongLin.
 * Date: 2025/5/14
 */
open class BaseViewComponent(lifecycleOwner: LifecycleOwner) : ViewComponent(lifecycleOwner) {

    override fun onCreate() {
        super.onCreate()
        initViews()
        observeViewModel()
    }

    open fun initViews() {

    }

    open fun observeViewModel() {

    }

}